/* liczby N-cyfowe o podstawie B */

#include <stdio.h>

bool counter (int digits, int base)
{
	static int tab[10] = {0};
	int i, k;
	bool again = true;

	k = digits - 1;

	for (i = 0 ; i < digits; i++)			// display number
		printf("%1d", tab[i]);

	printf("\n");

	tab[k]++;								// add 1

	for (i = k; i > 0 && again; i--)		// carry
		if (tab[i] != base)
			again = false;
		else
		{
			tab[i] = 0;
			tab[i-1]++;
		}

	if (tab[0] == base)						// done?
	{
		printf("\nWszystkie liczby wyprowadzone\n");
		return false;
	}

	return true;


}

void main()
{
	int digits, base;
	printf("\nPodaj wartosc bazy [1-10]: ");
	scanf("%d", &base);

	printf("Podaj liczbe cyfr [1-10]: ");
	scanf("%d", &digits);

	if ( base <= 0 || base > 10 || digits <= 0 || digits > 10 )
	{
		printf ("\nBledne parametry.\n");
		return;
	}

	while (counter(digits, base));

}
