#include <stdio.h>
#include <math.h>

void counter(int digits, int base)
{
	static int value = 0;
	int remainder, current, i = 0;
	int tab[10] = {0};

	current = value;
	do
	{
		remainder = current / base;
		tab[i] = current - remainder * base;	// least significant digit
		i++;
		current = remainder;
	} while (current);

	
	for (i = digits - 1; i >= 0; i--)			// display number
		printf("%1d",tab[i]);

	value++;

}

void main()
{
	int k, base, digits;
	
	printf("\nPodaj wartosc bazy [1-10]: ");
	scanf("%d", &base);

	printf("Podaj liczbe cyfr [1-10]: ");
	scanf("%d", &digits);

	if ( base <= 0 || base > 10 || digits <= 0 || digits > 10 )
	{
		printf ("\nBledne parametry.\n");
		return;
	}
	
	for(k = 0; k < pow(base, digits); k++)
	{
		counter(digits, base);
		printf("\n");
	}

	printf("\nWszystkie liczby wyprowadzone\n");

}