#include <stdio.h>
#include <string.h>

void main (int n, char* TS[ ])		// split using #
{
	char Ntxt[64];
	char Nfir[64];
	char Nsec[64];

	FILE *Ptxt, *Pfir, *Psec;

	bool Koniec = false, Ktory = true;
	int Znak;
	int Dot;
	char *Ptr;

	if ( n < 2 )
	{
		printf ("\nBrak nazwy pliku.\n"
			    "Wywolaj program podajac jako parametr nazwe pliku.\n\n");
		return;
	}

	strncpy(Ntxt, TS[1], 58);
	strncpy(Nfir, TS[1], 58);
	strncpy(Nsec, TS[1], 58);

	if ((Ptr = strchr(Ntxt, '.')) != NULL)
		Dot = Ptr - Ntxt;
	else
	{
		printf("\nBledna nazwa pliku.\n\n");
		return;
	}
	
	strcpy(Nfir + Dot + 1, "fir");
	strcpy(Nsec + Dot + 1, "sec");

	Ptxt = fopen (Ntxt, "r");
	Pfir = fopen (Nfir, "w+");
	Psec = fopen (Nsec, "w+");

	if (Ptxt == NULL || Pfir == NULL || Psec == NULL)
	{
		printf ("\nNie mozna otworzyc pliku\n\n");
		return;
	}

	while ( !Koniec )
	{
		Znak = fgetc(Ptxt);

		if ( !(Koniec = (feof(Ptxt) != 0)))
			if (Znak == '#')
				Ktory = !Ktory;
			else
				if (Ktory)
					fputc(Znak, Pfir);
				else
					fputc(Znak, Psec);
	}

	printf ("\nKoniec.\n\n");
}

 

