#include <stdio.h>

typedef void (*DefFun)(double*, int);

const double pi = 3.14159265358979;
const int Oferta = 3;

DefFun Prezentacja (DefFun TabFun[ ], char* OpFun[ ])
{
	char Opcja = 'A';
	
	for (int i = 0; i< Oferta; i++)
		printf("\n%c -> %s", Opcja++, OpFun[i]);

	printf("\n\nWybierz opcje [A,B,C] : ");
	fflush(stdin);
	scanf("%c", &Opcja);

	Opcja &= 0x5F;

	if (Opcja >= 'A' && Opcja <= 'C')
		return TabFun[Opcja - 'A'];
	else
		return NULL;

}


void Pierwsza (double Dane[ ], int Rozmiar)
{
	for (int i = 0; i < Rozmiar; i++)
		printf("\n%-12.5lf,", Dane[i] * pi);

	printf("\n");
}

void Druga (double Dane[ ], int Rozmiar)
{
	printf("\n-----------------------------------");
		   
	for (int i = 0; i < Rozmiar; i++)
		printf("\n| %3d  |   %+15.8lf        |", i, Dane[i] * pi);

	printf("\n-----------------------------------\n");
}

void Trzecia (double Dane[ ], int Rozmiar)
{
	for (int i = 0; i < Rozmiar; i++)
		printf("\n%+010.3lf", Dane[i] * pi);

	printf("\n");

}


void CzytajDane(double **AdresDanych, int &Rozmiar)
{

	printf("\nPodaj liczbe danych : ");
	scanf("%d", &Rozmiar);

	*AdresDanych = new double [Rozmiar];

	for (int i = 0; i < Rozmiar; i++)
	{
		printf("\n%d -> ",i);
		scanf("%lf",*AdresDanych + i);
	}
		
}

int main()
{

	DefFun TabFun[ ] = { Pierwsza, Druga, Trzecia };
	char* OpFun[ ] = 
	{
		"\n    Kolumna 12-znakowa, wiersze zakonczone przecinkiem,"
		"\n    lewa justacja, bez znaku +, 5 miejsc po kropce",
		
		"\n    Tabela dwukolumnowa: numer wyniku, wartosc;"
		"\n    znaki + i -, 8 miejsc po kropce",

		"\n    Kolumna 10-znakowa, znaki + i -, wypelnienie 0"
		"\n    prawa justacja, 3 miejsca po kropce"

	};

	DefFun Wybranka;

	double *Dane;
	int Rozmiar;
	
	printf("\nProgram wczytuje zadana liczbe wartosci k,"
		   "\n oblicza wyrazenia (k * pi) i oferuje"
		   "\n trzy sposoby wyprowadzenia wynikow\n");

	CzytajDane(&Dane, Rozmiar);

	 while ((Wybranka = Prezentacja(TabFun, OpFun)) != NULL)
		Wybranka(Dane, Rozmiar);

	printf("\n\n");

	return 555;
}

