// Oblicz obwody figur z listy

#include <stdio.h>

#define Pierwszy

const double pi = 3.14159265358979;


struct Punkt
{
	double x;
	double y;
};

struct Okrag
{
	Punkt Srodek;
	double Promien;
};


struct Kwadrat
{
	Punkt LewoGora;
	double Bok;

};


struct Elem
{
	Elem* Next;
	Okrag *okrag;
	Kwadrat *kwadrat;
};

void Obwod (Okrag *okrag)
{
	if (okrag == NULL)
		return;

	printf("\nObwod okregu = %.3lf", 2 * pi * okrag->Promien);
	return;
}


void Obwod (Kwadrat *kwadrat)
{
	if (kwadrat == NULL)
		return;

	printf("\nObwod kwadratu = %.3lf", 4 * kwadrat->Bok);
	return;
}


void main()
{
	Elem *Glowa, *Tmp;

//----------------------------------

	Elem e1 = {NULL, NULL, NULL};
	Elem e2 = {NULL, NULL, NULL};
	Elem e3 = {NULL, NULL, NULL};

	Okrag o1 = {{1.5, 2.5}, 3.12};
	Okrag o2 = {{0.1, 10.23}, 12.45};
	Kwadrat k1 = {{3.3, 12.56}, 7.19};
	
	e1.Next = &e2;
	e2.Next = &e3;

#ifdef Pierwszy

	e1.okrag = &o1;
	e2.kwadrat = &k1;
	e3.okrag = &o2;

#else

	e1.kwadrat = &k1;
	e2.okrag = &o1;
	e3.okrag = &o2;

#endif

	Glowa = &e1;

//-----------------------------------

	Tmp = Glowa;

	while (Tmp != NULL)
	{
		Obwod(Tmp->okrag);
		Obwod(Tmp->kwadrat);
		Tmp = Tmp->Next;
	}

	printf("\n\n");
}